Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OctetSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for OctetSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
class | CORBA::OctetSeq
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_OCTETSEQ_CH_
## Typedefs
typedef TAO_FixedSeq_Var_T< OctetSeq, CORBA::Octet > | OctetSeq_var
typedef TAO_Seq_Out_T< OctetSeq, OctetSeq_var, CORBA::Octet > | OctetSeq_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::OctetSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::OctetSeq &)

## Define Documentation

#define _CORBA_OCTETSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< OctetSeq, OctetSeq_var, CORBA::Octet > CORBA::OctetSeq_out

typedef TAO_FixedSeq_Var_T< OctetSeq, CORBA::Octet > CORBA::OctetSeq_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::OctetSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::OctetSeq & |
| ) |